org.apache.ignite.internal.management.encryption

## Class EncryptionKeyIdsTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<EncryptionCacheGroupArg,CacheGroupEncryptionTaskResult<T>,CacheGroupEncryptionTask.SingleFieldDto<T>>
  - - org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask<List<Integer>>
    - - org.apache.ignite.internal.management.encryption.EncryptionKeyIdsTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<EncryptionCacheGroupArg>,CacheGroupEncryptionTaskResult<List<Integer>>>

    @GridInternal
    public class EncryptionKeyIdsTask
    extends CacheGroupEncryptionTask<List<Integer>>

Get current encryption key IDs of the cache group.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected static class` `EncryptionKeyIdsTask.EncryptionKeyIdsResult`

### Nested classes/interfaces inherited from class org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask

`CacheGroupEncryptionTask.ReencryptionBaseJob<T>, CacheGroupEncryptionTask.SingleFieldDto<T>`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`EncryptionKeyIdsTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<EncryptionCacheGroupArg,CacheGroupEncryptionTask.SingleFieldDto<List<Integer>>>` `job(EncryptionCacheGroupArg arg)`

### Methods inherited from class org.apache.ignite.internal.management.encryption.CacheGroupEncryptionTask

`reduce0`

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncryptionKeyIdsTask

    public EncryptionKeyIdsTask()

### Method Detail

#### job

    protected VisorJob<EncryptionCacheGroupArg,CacheGroupEncryptionTask.SingleFieldDto<List<Integer>>> job(EncryptionCacheGroupArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<EncryptionCacheGroupArg,CacheGroupEncryptionTaskResult<List<Integer>>,CacheGroupEncryptionTask.SingleFieldDto<List<Integer>>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023